#
# spec file for package gti
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gti
Version:        1.9.1
Release:        1.5
Summary:        ASCII art punishment for misspelling git
License:        MIT
Group:          Amusements/Toys/Other
URL:            https://r-wos.org/hacks/gti
Source:         https://github.com/rwos/gti/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
Recommends:     git-core

%description
Program which will show you ASCII art car driving across the terminal when you
misspell git command. After animation it will perform git command as well.
Similar to sl (steam locomotive).

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" STRIP=false

%install
# Override INSTALL command as Makefile does not create directories otherwise
%make_install INSTALL="install -D"

%files
%doc README.md
%license LICENSE
%{_bindir}/gti
%{_datadir}/bash-completion/completions/gti
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_gti
%{_mandir}/man*/*

%changelog
* Sun Mar 24 2024 Dirk Müller <dmueller@suse.com>
- update to 1.9.1:
  * Fix escape chars in gti commit
  * update copyright
* Tue Jun 14 2022 Antoine Belvire <antoine.belvire@opensuse.org>
- Update to 1.8.0:
  * Improve animation for pull.
  * Add completion for bash and zsh.
- Fix typo in description.
* Mon Feb 22 2021 antoine.belvire@opensuse.org
- Update to 1.7.0:
  * Add animation for tag command.
- Don't strip binary so that debuginfo and debugsource can be
  packaged.
- Clean spec file.
* Mon Jun 19 2017 sleep_walker@opensuse.org
- bump to 1.6.1
  - see git log for full changelog
* Tue Sep 11 2012 sleep_walker@suse.cz
- add optflags as CFLAGS for compilation
- rename tarball
* Tue Sep 11 2012 sleep_walker@suse.cz
- update to babe68b
* Thu Aug 30 2012 sleep_walker@suse.cz
- spec file fixes
* Thu Aug 30 2012 sleep_walker@suse.cz
- let there be gti
